Loading...
Searching...
No Matches
gtsam::G_x1< X1, X2 > Class Template Reference

## Detailed Description

template<class X1, class X2>
class gtsam::G_x1< X1, X2 >

Helper class that computes the derivative of f w.r.t.

x1, centered about x1_, as a function of x2

## Public Member Functions

| G_x1 (const std::function< double(const X1 &, const X2 &)> &f, const X1 &x1, double delta)
Vector | operator() (const X2 &x2)

## Public Types

typedef internal::FixedSizeMatrix< X1 >::type | Vector

The documentation for this class was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/numericalDerivative.h